Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.buttons
Class InternalButton

    java.lang.Object
      edu.wpi.first.wpilibj.buttons.Trigger
          edu.wpi.first.wpilibj.buttons.Button
              edu.wpi.first.wpilibj.buttons.InternalButton

All Implemented Interfaces:
  Sendable

    public class InternalButton

extends Button

This class is intended to be used within a program. The programmer can manually set its value. Also includes a setting for whether or not it should invert its value.

Author:
  Joe

Nested Class Summary

Nested classes/interfaces inherited from class edu.wpi.first.wpilibj.buttons.Trigger
`Trigger.ButtonScheduler`

Constructor Summary
`InternalButton()` Creates an InternalButton that is not inverted.
`InternalButton(boolean inverted)` Creates an InternalButton which is inverted depending on the input.

Method Summary
`boolean` | `get()` Returns whether or not the trigger is active This method will be called repeatedly a command is linked to the Trigger.
`void` | `setInverted(boolean inverted)`
`void` | `setPressed(boolean pressed)`

Methods inherited from class edu.wpi.first.wpilibj.buttons.Button
`cancelWhenPressed, toggleWhenPressed, whenPressed, whenReleased, whileHeld`

Methods inherited from class edu.wpi.first.wpilibj.buttons.Trigger
`cancelWhenActive, getSmartDashboardType, getTable, initTable, toggleWhenActive, whenActive, whenInactive, whileActive`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalButton

    public InternalButton()

  Creates an InternalButton that is not inverted.

### InternalButton

    public InternalButton(boolean inverted)

  Creates an InternalButton which is inverted depending on the input.

  Parameters:
    `inverted` - if false, then this button is pressed when set to true, otherwise it is pressed when set to false.

Method Detail

### setInverted

    public void setInverted(boolean inverted)

### setPressed

    public void setPressed(boolean pressed)

### get

    public boolean get()

  Description copied from class: `Trigger`
  Returns whether or not the trigger is active This method will be called repeatedly a command is linked to the Trigger.

  Specified by:
    `get` in class `Trigger`
  Returns:
    whether or not the trigger condition is active.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"